package com.bwie.test;

import com.bwie.pojo.Bill;
import com.bwie.service.BillService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

@Component
public class TestBill {

    @Autowired
    private BillService billService;

    /**
     * 添加
     */
    @Test
    public void addBill(){

        Bill bill = new Bill();
        bill.setBillDate(new Date());
        bill.setBillMonery(100.11);
        int add = billService.add(bill);
        if (add>0){
            System.out.println("-----添加成功----");
        }else {
            System.out.println("-----添加失败----");
        }
    }

    /**
     * 查询列表
     */
    @Test
    public void selectAll(){
        billService.selectAll();
    }





}
